BrewForge Docs

List fermentation devices

The brewer's hydrometers and sensors (iSpindel, Tilt, RAPT Pill, GravityMon, Plaato Airlock, ...) with the brew each one logs to, its last gravity/temperature/battery and when it was last seen. Send device to see that one device's raw data log (newest first), e.g. to check whether it is sending. Gravities in SG, temperatures in °C. Needs the plan feature `device_integrations`. Scope: `brews:read` (or `read`).

POST
/api/v1/actions/list_devices

The brewer's hydrometers and sensors (iSpindel, Tilt, RAPT Pill, GravityMon, Plaato Airlock, ...) with the brew each one logs to, its last gravity/temperature/battery and when it was last seen. Send device to see that one device's raw data log (newest first), e.g. to check whether it is sending. Gravities in SG, temperatures in °C.

Needs the plan feature device_integrations. Scope: brews:read (or read).

AuthorizationBearer <token>

API token in format: bfk_. Each operation lists the token scope it requires (the scopes are listed below).

  • read: Read everything (all areas)
  • write: Create, change and delete everything (all areas)
  • brews:read: List and view brews
  • brews:write: Create, update, delete brews and notes
  • inventory:read: List inventory items
  • inventory:write: Create, update, delete inventory items
  • equipment:read: List equipment profiles
  • equipment:write: Create, update, delete equipment profiles
  • styles:read: List style profiles
  • styles:write: Create, update, delete style profiles
  • profiles:read: List mash, fermentation, and water profiles
  • custom-fields:read: List custom field definitions
  • custom-fields:write: Create, update, delete custom field definitions
  • profiles:write: Create, update, delete mash, fermentation, and water profiles
  • cellar:read: View cellar, packaged stock, tap lists, and labels
  • cellar:write: Manage cellar, packaging, stock, tap lists, and labels
  • settings:read: View preferences, imports, calculators, and your data export
  • settings:write: Change preferences and undo imports
  • community:read: View community, feedback, tickets, inbox, and account overview
  • community:write: Post, vote, and reply in community, feedback, and tickets

In: header

Scope: brews:read

Request Body

application/json

device?string

The device: its id or its exact name (e.g. "iSpindel blue"). Case does not matter. Omit to list all devices.

log_limit?integer

With device: how many log entries (default 20).

Range1 <= value <= 200
[key: string]?never

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://brewforge.sh/api/v1/actions/list_devices" \  -H "Content-Type: application/json" \  -d '{}'
{
  "devices": [
    {
      "id": "string",
      "name": "string",
      "type": "string",
      "brew": {
        "id": "string",
        "name": "string",
        "status": "string"
      },
      "logs_keg": true,
      "gravity_offset_sg": 0,
      "last_seen_at": "string",
      "last_gravity_sg": 0,
      "last_temp_c": 0,
      "last_battery": 0
    }
  ],
  "log": [
    {
      "at": "string",
      "gravity_sg": 0,
      "temp_c": 0,
      "battery": 0,
      "angle": 0,
      "pressure_psi": 0,
      "bubbles_per_minute": 0,
      "logged_to_brew": true
    }
  ],
  "log_total": 0
}
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string",
    "candidates": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "fields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "details": {}
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string",
    "candidates": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "fields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "details": {}
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string",
    "candidates": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "fields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "details": {}
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string",
    "candidates": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "fields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "details": {}
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string",
    "candidates": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "fields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "details": {}
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string",
    "candidates": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "fields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "details": {}
  }
}